<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Tue Jul 10 19:18:44 BRT 2018 -->
<title>AlunoJogador</title>
<meta name="date" content="2018-07-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AlunoJogador";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="Aluno.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="AlunoJogadorTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?AlunoJogador.html" target="_top">Frames</a></li>
<li><a href="AlunoJogador.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class AlunoJogador" class="title">Class AlunoJogador</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Aluno.html" title="class in &lt;Unnamed&gt;">Aluno</a></li>
<li>
<ul class="inheritance">
<li>AlunoJogador</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.util.Observer</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">AlunoJogador</span>
extends <a href="Aluno.html" title="class in &lt;Unnamed&gt;">Aluno</a>
implements java.util.Observer, java.io.Serializable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="serialized-form.html#AlunoJogador">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="AlunoJogador.html#AlunoJogador-java.lang.String-java.lang.String-java.lang.String-java.lang.String-int-">AlunoJogador</a></span>(java.lang.String&nbsp;nome,
            java.lang.String&nbsp;matricula,
            java.lang.String&nbsp;nick,
            java.lang.String&nbsp;senha,
            int&nbsp;cod)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#addConquista-java.lang.String-">addConquista</a></span>(java.lang.String&nbsp;conq)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#getCodigoID--">getCodigoID</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#getConquistas--">getConquistas</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#getLevel--">getLevel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#getNomeUsuario--">getNomeUsuario</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#getSenha--">getSenha</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#getXp--">getXp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#modificarSenha-java.lang.String-">modificarSenha</a></span>(java.lang.String&nbsp;newPassword)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#modificarUsuario-java.lang.String-">modificarUsuario</a></span>(java.lang.String&nbsp;newName)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#setClasse-java.lang.String-">setClasse</a></span>(java.lang.String&nbsp;classe)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#setLevel-int-">setLevel</a></span>(int&nbsp;level)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#setXp-int-">setXp</a></span>(int&nbsp;xp)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="AlunoJogador.html#update-java.util.Observable-java.lang.Object-">update</a></span>(java.util.Observable&nbsp;o,
      java.lang.Object&nbsp;arg)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.Aluno">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;<a href="Aluno.html" title="class in &lt;Unnamed&gt;">Aluno</a></h3>
<code><a href="Aluno.html#addNota-double-">addNota</a>, <a href="Aluno.html#calculaMedia--">calculaMedia</a>, <a href="Aluno.html#fazerCadastro-java.lang.String-java.lang.String-int-java.lang.String-java.lang.String-">fazerCadastro</a>, <a href="Aluno.html#getAtividades--">getAtividades</a>, <a href="Aluno.html#getFaltas--">getFaltas</a>, <a href="Aluno.html#getMatricula--">getMatricula</a>, <a href="Aluno.html#getNome--">getNome</a>, <a href="Aluno.html#isParticipa--">isParticipa</a>, <a href="Aluno.html#setAtividades-int-">setAtividades</a>, <a href="Aluno.html#setFaltas-int-">setFaltas</a>, <a href="Aluno.html#setParticipa-boolean-">setParticipa</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AlunoJogador-java.lang.String-java.lang.String-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AlunoJogador</h4>
<pre>AlunoJogador(java.lang.String&nbsp;nome,
             java.lang.String&nbsp;matricula,
             java.lang.String&nbsp;nick,
             java.lang.String&nbsp;senha,
             int&nbsp;cod)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSenha--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSenha</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSenha()</pre>
</li>
</ul>
<a name="getCodigoID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCodigoID</h4>
<pre>public&nbsp;int&nbsp;getCodigoID()</pre>
</li>
</ul>
<a name="getNomeUsuario--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNomeUsuario</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNomeUsuario()</pre>
</li>
</ul>
<a name="getLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLevel</h4>
<pre>public&nbsp;int&nbsp;getLevel()</pre>
</li>
</ul>
<a name="getXp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXp</h4>
<pre>public&nbsp;int&nbsp;getXp()</pre>
</li>
</ul>
<a name="getConquistas--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConquistas</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getConquistas()</pre>
</li>
</ul>
<a name="setLevel-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLevel</h4>
<pre>public&nbsp;void&nbsp;setLevel(int&nbsp;level)</pre>
</li>
</ul>
<a name="setXp-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXp</h4>
<pre>public&nbsp;void&nbsp;setXp(int&nbsp;xp)</pre>
</li>
</ul>
<a name="setClasse-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasse</h4>
<pre>public&nbsp;void&nbsp;setClasse(java.lang.String&nbsp;classe)</pre>
</li>
</ul>
<a name="addConquista-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addConquista</h4>
<pre>public&nbsp;void&nbsp;addConquista(java.lang.String&nbsp;conq)</pre>
</li>
</ul>
<a name="modificarUsuario-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modificarUsuario</h4>
<pre>public&nbsp;void&nbsp;modificarUsuario(java.lang.String&nbsp;newName)</pre>
</li>
</ul>
<a name="modificarSenha-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modificarSenha</h4>
<pre>public&nbsp;void&nbsp;modificarSenha(java.lang.String&nbsp;newPassword)</pre>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Aluno.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="Aluno.html" title="class in &lt;Unnamed&gt;">Aluno</a></code></dd>
</dl>
</li>
</ul>
<a name="update-java.util.Observable-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update(java.util.Observable&nbsp;o,
                   java.lang.Object&nbsp;arg)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>update</code>&nbsp;in interface&nbsp;<code>java.util.Observer</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="Aluno.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="AlunoJogadorTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?AlunoJogador.html" target="_top">Frames</a></li>
<li><a href="AlunoJogador.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
